
*start 
[cm]
@clearstack
@bg storage ="title_back.jpg" time=100
@wait time = 200
[cm]
[clearfix]

;ゲーム終了後にタイトルに戻った場合、レイヤ画像を一旦初期化
[freeimage layer=1]
[freeimage layer=2]
[freeimage layer=3]
[freeimage layer=4]
[freeimage layer=5]
[font color=white]

@layopt layer="message" visible=false

;タイトル画面キャラ・アニメGIFを表示
[image layer=1 page=fore visible=true top=265 left=332 time=0 storage ="/arcenemy/1_title/title_chara.gif"]

;タイトルBGMをフェードイン再生
[stopbgm ]
[fadeinbgm storage=01_game_maoudamashii_3_theme14.ogg loop=true time=1000]

; 2回目以降の場合はゲームスタートを行う
[if exp="f.deadcounter > 0"]
	@jump target="*start_window"
[endif]

;[button x=362 y=520 graphic="1_title/GameStart.gif" enterimg ="1_title/GameStart_cusorl.gif" clickse="01_b_008.ogg" target=*start_window]
[glink clickse="01_b_008.ogg" text="ゲームスタート" target=*start_window x=347 y=520]

[s]


*start_window
[cm]
[clearfix]

;[button x=310 y=480 graphic="1_title/start.png" enterimg ="1_title/start_cusorl.png" clickse="02_b_006.ogg" target=*gamestart]
[glink clickse="02_b_006.ogg" text="はじめから" target=*gamestart x=310 y=470]

[if exp="f.deadcounter == 0"]
	[image layer=1 name="start_window" page=fore visible=true  storage ="/arcenemy/1_title/window.png" top=460 left=333 height="180" width=350]
	;[button x=310 y=530 graphic="1_title/tutorial.png" enterimg ="1_title/tutorial_cusorl.png" clickse="02_b_006.ogg" storage="tutorial.ks"]
	;[button x=310 y=580 graphic="1_title/soundon.png" enterimg ="1_title/soundon_cusorl.png" clickse="02_b_006.ogg"    cond="sf._system_config_bgm_volume == 0" target=*soundon]
	;[button x=310 y=580 graphic="1_title/soundoff.png" enterimg ="1_title/soundoff_cusorl.png" clickse="02_b_006.ogg" cond="sf._system_config_bgm_volume > 0"  target=*soundoff]
	[glink clickse="02_b_006.ogg" text="ゲームのせつめい" storage="tutorial.ks" x=310 y=520]
	[glink clickse="02_b_006.ogg" text="おとをならす" cond="sf._system_config_bgm_volume == 0" target=*soundon x=310 y=570]
	[glink clickse="02_b_006.ogg" text="おとをとめる" cond="sf._system_config_bgm_volume > 0"  target=*soundoff x=310 y=570]
	
[else]
	[image layer=1 name="start_window" page=fore visible=true  storage ="/arcenemy/1_title/window.png" top=460 left=333 height="220" width=350]
	;[button x=310 y=530 graphic="1_title/retry.png" enterimg ="1_title/retry_cusorl.png" clickse="02_b_006.ogg"       target=*load]
	;[button x=310 y=575 graphic="1_title/tutorial.png" enterimg ="1_title/tutorial_cusorl.png" clickse="02_b_006.ogg" storage="tutorial.ks"]
	;[button x=310 y=620 graphic="1_title/soundon.png" enterimg ="1_title/soundon_cusorl.png" clickse="02_b_006.ogg"   cond="sf._system_config_bgm_volume == 0" target=*soundon]
	;[button x=310 y=620 graphic="1_title/soundoff.png" enterimg ="1_title/soundoff_cusorl.png" clickse="02_b_006.ogg" cond="sf._system_config_bgm_volume > 0"  target=*soundoff]
	
	[glink clickse="02_b_006.ogg" text="りとらい" target=*load x=310 y=520]
		[glink clickse="02_b_006.ogg" text="ゲームのせつめい" storage="tutorial.ks" x=310 y=565]
	[glink clickse="02_b_006.ogg" text="おとをならす" cond="sf._system_config_bgm_volume == 0" target=*soundon x=310 y=610]
	[glink clickse="02_b_006.ogg" text="おとをとめる" cond="sf._system_config_bgm_volume > 0"  target=*soundoff x=310 y=610]
[endif]



[s]

*gamestart
;一番最初のシナリオファイルへジャンプする
@jump storage="opening.ks"

*soundon
	;SEとBGMの音量調整（1～100）
	[bgmopt volume=15 ]
	[seopt volume=20 ]
	@jump target="*start_window"

*soundoff
	;SEとBGMの音を止める
	[bgmopt volume=0 ]
	[seopt volume=0 ]
	@jump target="*start_window"


*load

;チラつき防止
[freeimage layer=1]
[bg storage ="title_back.jpg" time=300 wait=true]

;名前が入力されている場合はOPにロードする
[if exp="f.Player ==''"]
	@jump storage="opening.ks"
[else]
	[clearfix]
	[clearstack]
	[clearfix]
	[freeimage layer=1]
	[cm]
	
	@layopt layer=message0 visible=true

	[bg storage="black.jpg" time="400" ]
	[wait time=500]
	@jump storage="battle.ks" target="*battle_start"
[endif]
